Delivery Status
Check the webhook delivery status for a specific garment. Use this to verify whether a webhook was successfully delivered for a given upload, or to troubleshoot failed deliveries.
Parameters
- uuid: The garment UUID (the same UUID used when calling Upload).
Request
GET /garment-tagging/webhook/delivery-status?uuid={uuid}
Headers
| Key | Value | Description |
|---|---|---|
| API-KEY | YOUR_API_KEY | Authentication key for the API |
| DOMAIN | YOUR_DOMAIN | Domain identifier for tenant isolation |
Responses
200 OK (Delivered)
{
"status": true,
"data": {
"uuid": "d4e5f6a7-b8c9-0d1e-2f3a-4b5c6d7e8f9a",
"garment_uuid": "12345",
"status": "delivered",
"attempt_count": 1,
"last_attempt_at": "2025-02-03T16:35:00Z",
"next_attempt_at": null,
"last_error": "",
"response_status": 200,
"created_at": "2025-02-03T16:34:50Z",
"updated_at": "2025-02-03T16:35:00Z"
},
"error": [],
"message": "success!"
}
200 OK (Pending retry)
{
"status": true,
"data": {
"uuid": "d4e5f6a7-b8c9-0d1e-2f3a-4b5c6d7e8f9a",
"garment_uuid": "12345",
"status": "pending",
"attempt_count": 2,
"last_attempt_at": "2025-02-03T16:36:00Z",
"next_attempt_at": "2025-02-03T16:46:00Z",
"last_error": "HTTP 500: Internal Server Error",
"response_status": 500,
"created_at": "2025-02-03T16:34:50Z",
"updated_at": "2025-02-03T16:36:00Z"
},
"error": [],
"message": "success!"
}
200 OK (Permanently failed)
{
"status": true,
"data": {
"uuid": "d4e5f6a7-b8c9-0d1e-2f3a-4b5c6d7e8f9a",
"garment_uuid": "12345",
"status": "permanently_failed",
"attempt_count": 9,
"last_attempt_at": "2025-02-05T16:35:00Z",
"next_attempt_at": null,
"last_error": "HTTP 503: Service Unavailable",
"response_status": 503,
"created_at": "2025-02-03T16:34:50Z",
"updated_at": "2025-02-05T16:35:00Z"
},
"error": [],
"message": "success!"
}
Status Values
| Status | Description |
|---|---|
pending | Delivery is queued or waiting for retry |
delivered | Successfully delivered to your webhook URL |
permanently_failed | All 9 retry attempts exhausted |